%define anolis_release 1
Name:           lorax-templates-anolis
Version:        23
Release:        1.%{anolis_release}%{?dist}
Summary:        Anolis OS build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
Source0:        lorax-templates-anolis-23.tar.gz

Patch1001:      1001-custom-config.patch
Patch1002:      1002-add-uefi-parameter.patch

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-anolis

%description
Anolis OS 23 specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup
%patch1001 -p1
%patch1002 -p1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-anolis/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Thu Oct 27 2022 gaochang <gc-taifu@linux.alibaba.com> - 23-1.1
- Initial version for Anolis OS 23
